<template>
    <div style="margin: 0; width: 100%">
        <template v-if="state.pageOk === true">
            <head-two :title="isLang.videos.head" />
            <div style="margin: 0; height: 65px;"></div>
            <div class="vid-body">
                <main-load/>
                <side-play/>
            </div>
        </template>
        <template v-else>
            <div style="margin: 0; width: 100%; height: 100vh;" class="centered bg-nigh blinking-txt-prime brand">
                Un instant...
            </div>
        </template>
    </div>
</template>

<script setup lang="ts">
import { reactive, onMounted, onUnmounted } from 'vue';
import { useRouter } from 'vue-router';
import langStore from '../store/langStore';
import StoreVideo from '../store/videoPlaying';
import HeadTwo from '../components/HeadTwo.vue';
import MainLoad from '../components/MainLoad.vue';
import SidePlay from '../components/SidePlay.vue';

const { currentRoute } = useRouter();
const { isLang } = langStore;
const {  getData, ResetVid } = StoreVideo;

const state = reactive({
    pageOk: false
})

const cid = currentRoute.value.params.id as string;

onMounted(async(): Promise<void> => {
    state.pageOk = await getData(cid) as boolean;
    
})

onUnmounted(() => {
    ResetVid();
})

</script>

<style scoped>

/* version mobile et tablette 768px - 1023 */

@media (max-width: 1023px) {
    .vid-body {
        margin: 0;
        height: calc(100vh - 65px);
        width: 100%;
        display: flex;
        flex-direction: column;
    }

}


/*version bureau min 1024px */
@media (min-width: 1024px) {
.vid-body {
    margin: 0;
    height: calc(100vh - 65px);
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
}
}
</style>